# Update a personal profile

Update user profile information for a personal profile.
If user profile has been verified then there are restrictions on what information is allowed to change. Where permitted, use the update window functionality by [opening the update window](/api-reference/legacy/profile/profileupdatewindowopen), submitting the updated information using this endpoint, and finally [closing the update window](/api-reference/legacy/profile/profileupdatewindowclose).

Endpoint: PUT /v2/profiles/{profileId}/personal-profile
Security: UserToken, PersonalToken

## Path parameters:

  - `profileId` (integer, required)
    Personal profile ID.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `firstName` (string)
    First name (including middle names).
    Example: Oliver

  - `lastName` (string)
    Last name.
    Example: Wilson

  - `preferredName` (string)
    Preferred first name, if different to the legal first name.
    Example: Olivia

  - `firstNameInKana` (string | null)
    First name in Katakana. Required for from-JPY personal transfers.
    Example: null

  - `lastNameInKana` (string | null)
    Last name in Katakana. Required for from-JPY personal transfers.
    Example: null

  - `address` (object)

  - `address.addressFirstLine` (string)
    First line of address.
    Example: 50 Sunflower Ave

  - `address.city` (string)
    City.
    Example: Phoenix

  - `address.countryIso3Code` (string)
    3 letter country code (ISO3, lower case).
    Example: usa

  - `address.postCode` (string)
    Postal code or ZIP code.
    Example: 10025

  - `address.stateCode` (string)
    State code. Required for US, CA, BR and AU addresses.
    Example: AZ

  - `nationality` (string)
    3 letter country code (ISO3, lower case).
    Example: usa

  - `dateOfBirth` (string)
    Date of birth.
    Example: 1977-07-01

  - `contactDetails` (object)

  - `contactDetails.email` (string)
    Contact email address. Please speak with your integration account manager for details on how customer communication is handled for your integration.
    Example: o.wilson@example.com

  - `contactDetails.phoneNumber` (string)
    Contact phone number in international phone number format, example "+1408XXXXXXX".
    Example: +3725064992

  - `externalCustomerId` (string)
    An external reference identifier mapping the customer of this profile to your system.
    Example: 12345-oliver-wilson

  - `occupations` (array)

  - `occupations.code` (string)
    Occupation field code - this field accepts any job or occupation that the customer does, as the only occupation format currently accepted is `"FREE_FORM"`.
    Example: Software Engineer

  - `occupations.format` (string)
    Occupation field format. As of now, it only accepts the value `"FREE_FORM"`.
    Example: FREE_FORM

